<template>
  <div id="class_index_wrapper">
    <el-tabs type="border-card" :key="tabLeft" :style="`margin-left: ${tabLeft}px;`" class="enroll-select-tab" v-model="activeName">
      <el-tab-pane label="공개 세션" name="public">
        <el-form>
          <el-form-item label="주제 소속 비밀번호를 입력해주세요.">
            <el-input v-model="publicCode" style="width: 280px;"></el-input>
            <el-button type="primary" @click="submitCode('public', publicCode)" native-type="reset">확인</el-button>
          </el-form-item>
        </el-form>
      </el-tab-pane>
      <el-tab-pane label="비공개 세션" name="private">
        <el-form>
          <el-form-item label="주제 비밀번호를 입력해주세요.">
            <el-input v-model="privateCode" style="width: 280px;"></el-input>
            <el-button type="primary" @click="submitCode('private', privateCode)" native-type="reset">확인</el-button>
          </el-form-item>
        </el-form>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: 'ClassEnrollSelection',
  data() {
    return {
      activeName: 'public',
      tabLeft: 0,
      publicCode: '',
      privateCode: '',
    };
  },
  props: ['submitCode'],
  mounted() {
    const vm = this;
    const parentEl = vm.$parent.$el;
    const tabEl = document.getElementsByClassName('enroll-select-tab')[0];
    vm.tabLeft = (parentEl.offsetWidth - tabEl.offsetWidth) / 2;
  },
  methods: {
  }
};
</script>


<style lang="scss" scoped>
#class_index_wrapper {
  .enroll-select-tab{
    float: left;
    width: 400px;
    height: 180px;
    margin-top: 50px;
  }
}
</style>
